package org.grid.sample.controller;

import java.util.List;

import org.grid.sample.service.Candidate;
import org.grid.sample.service.ListCandidateService;
import org.springframework.stereotype.Controller;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.servlet.ModelAndView;

@Controller
public class ListCandidateController 
{
	ListCandidateService listCandidate = new ListCandidateService();
	
	@RequestMapping(value ="/retrieveDetails", method = RequestMethod.GET) 
    public ModelAndView get()
	{ 
		System.out.println("In controller");
		return new ModelAndView("retrieveDetails", "data", new Candidate());
	}
	
	@RequestMapping(value = "/retrieveDetailsList")		
	public @ResponseBody List<Candidate> retrieveCandidate(@ModelAttribute("data") Candidate data, BindingResult result) throws Exception
	{			
		System.out.println("In controller - read method");
		List<Candidate> databaseList = listCandidate.retrieveData(data);
		System.out.println("list size:" +databaseList.size());
		
		ModelAndView modelAndView = new ModelAndView("retrieveDetailsList");
		modelAndView.addObject("databaseList", databaseList);
		//modelAndView.addObject(attributeValue)
		return databaseList;
	 }
	
	@RequestMapping(value = "/retrieveDetailsListLocalBinding", method=RequestMethod.POST, params="retrieveLocal")
	public ModelAndView retrieveCandidateList(@ModelAttribute("data") Candidate data, BindingResult result) throws Exception
	{		
		List<Candidate> databaseList = listCandidate.retrieveData(data);
		ModelAndView modelAndView = new ModelAndView("retrieveDetailsListLocalBinding");
		modelAndView.addObject("databaseList", databaseList);
		return modelAndView;
	}
}
